
//package db_connection;

import java.sql.*;

/**
 * DBConnection class responsible for establishing a connection to the database.
 * 
 * @author Ivo Vryashkov
 * @version 1.0
 */
public class DBConnection {

	// the url of the database, in this case using localhost
	// (replace as needed)
	private static final String URL = "jdbc:sqlite:test.db"; 

	/**
	 * Constructor. Loads the driver to be used.
	 */
	public DBConnection() {
		try {
			System.out.println("Loading driver...");
			// here in the constructor we just load the driver
			Class.forName("org.sqlite.JDBC");
			System.out.println("Driver loaded...");
		} catch (ClassNotFoundException ex) {
			// handle errors for Class.forName here
			System.out.println("\n" + "Could not load driver..." + "\n");
			System.out.println(ex);
		}

	} // end DBConnection()

	/**
	 * Returns a connection to the database.
	 * 
	 * @return Connection
	 */
	public Connection getConn() {
		// the connection object to return
		Connection conn = null;

		try {
			// get a connection
			conn = DriverManager.getConnection(URL);
		} catch (SQLException e) {
			// handle errors for JDBC here
			System.out.println("\n" + "Could not connect..." + "\n");
			System.out.println(e);
		}

		// return the connection
		return conn;

	} // end getConn()

} // end class
