/**
 * 
 */

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.ArrayList;

import javax.swing.*;
/**
 * @author Musard Balliu
 *
 * @date Oct 16, 2015
 *
 */
public class NewGUI {
	//
	static int globalID = 5;
	JFrame frame;
	JPanel labelP;//Panel for the labels
	JPanel buttonP;//Panel for the buttons
	JTextField name;//name textfield
	JTextField age;//age textfield
	JTextField address;//address textfield
	JTextField salary;//salary textfield
	
	JPanel main = new JPanel(); // the main panel which contains the label and button panel
	NewDBParser dbParser = new NewDBParser();
	String query;

	
	/**
	 * Creates the UI with adding the panels
	 */
	public void createUI() {
		frame = new JFrame("COMPANY database");
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

		frame.setSize(700, 200);

		addLabel();
		addButtons();
		frame.getContentPane().add(main);
		// Display the window.
		// frame.pack();
		frame.setVisible(true);
	}

	/**
	 * Responsible for creating the labels and add them to the panel
	 */
	public void addLabel() {
		labelP = new JPanel();
		JLabel nameL = new JLabel("Name");
		name = new JTextField(10);
		JLabel ageL = new JLabel("Age");
		age = new JTextField(10);
		JLabel addressL = new JLabel("Address");
		address = new JTextField(10);
		JLabel salaryL = new JLabel("Salary");
		salary = new JTextField(10);
		

		labelP.add(nameL);
		labelP.add(name);
		labelP.add(ageL);
		labelP.add(age);
		labelP.add(addressL);
		labelP.add(address);
		labelP.add(salaryL);
		labelP.add(salary);

		main.add(labelP);
	}

	/**
	 * Responsible for creating the button and adding the listeners for them.
	 */
	public void addButtons() {
		JButton insert = new JButton("Insert");
		addListeners(insert);
		buttonP = new JPanel();
		JButton delete = new JButton("Delete");
		addListeners(delete);
		JButton view = new JButton("View");
		addListeners(view);
		buttonP.add(insert);
		buttonP.add(delete);
		buttonP.add(view);
		main.add(buttonP);

	}

	/**
	 * Responsible for performing actions when a certain button is pressed
	 */
	public void addListeners(JButton listen) {

		listen.addActionListener(new ActionListener() {

			@Override
			public void actionPerformed(ActionEvent e) {
				if (e.getActionCommand().equals("View")) {

					// if title is empty display all rows else display the rows with the specified title
					if (name.getText().length() == 0) {
						query = "SELECT ID, NAME, AGE, ADDRESS, SALARY " + "FROM COMPANY";
					} else {
						query = "SELECT ID, NAME, ADDRESS, AGE, SALARY " + "FROM COMPANY " + "WHERE NAME ='"
								+ name.getText() + "'";
					}
					System.out.println("--------------View-----------------");
					ArrayList<ArrayList> list1 = dbParser.execQuery(query);

					for (ArrayList dataList : list1) {
						for (int i = 0; i < dataList.size(); i++) {
							System.out.print(dataList.get(i) + " ");
						}

						System.out.println();
					}
					System.out.println("--------------View-----------------");
				} else if (e.getActionCommand().equals("Insert")) {
					if (name.getText().length() > 0 && salary.getText().length() > 0 && address.getText().length() > 0 ) {
						query = "INSERT INTO COMPANY (ID, NAME, AGE, ADDRESS, SALARY) VALUES" + "("
								+ globalID + ", '" + name.getText() + "', "+ 30+  ", '" + address.getText() + "', " + salary.getText() + ")";
						globalID++;
						dbParser.execQuery(query);
						name.setText("");
						address.setText("");
						salary.setText("");
						System.out.println("Record Added Successfully");
					} else {

						System.out.println("No Record to add");
					}
				} else if (e.getActionCommand().equals("Delete")) {
					if (name.getText().length() > 0) {
						query = "DELETE FROM COMPANY WHERE name='" + name.getText() + "'";
						dbParser.execQuery(query);
						name.setText("");
						address.setText("");
						salary.setText("");
						System.out.println("Record Deleted Successfully");
					} else {
						System.out.println("No Record to delete");
					}
				}

			}
		});
	}

}
