import java.sql.*;

/**
 * @author Musard Balliu
 *
 * @date Oct 14, 2015
 *
 */

public class SQLiteJDBC
{
	  public static void main( String args[] )
	  {
	    Connection c = null;
	    Statement stmt = null;
	    try {
	      //load the driver
	      Class.forName("org.sqlite.JDBC");
	      //connect to database
	      c = DriverManager.getConnection("jdbc:sqlite:test.db");
	      System.out.println("Opened database successfully");
	      //create a statement
	      stmt = c.createStatement();
	      //create a table
	      String sql = "CREATE TABLE COMPANY " +
	                   "(ID INT PRIMARY KEY     NOT NULL," +
	                   " NAME           TEXT    NOT NULL, " + 
	                   " AGE            INT     NOT NULL, " + 
	                   " ADDRESS        CHAR(50), " + 
	                   " SALARY         REAL)"; 
	      //execute the statement
	      stmt.executeUpdate(sql);
	      //close the connection
	      stmt.close();
	      c.close();
	    } catch ( Exception e ) {
	      System.err.println( e.getClass().getName() + ": " + e.getMessage() );
	      System.exit(0);
	    }
	    System.out.println("Table created successfully");
	  }
}